Docs

Get File

GET /Drives/{driveId}/files/{fileId}

GET/Drives/{driveId}/files/{fileId}

Returns a file's details, versions and associations. Needs read, edit or admin access to the file's location. The file id comes from Drives_Get.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
fileIduuidRequired

Response

FieldTypeDescription
iduuid
partitionKeyuuid
typestring| null
namestring| null
descriptionstring| null
pathstring| null
fullPathstring| null
statusstring| null
urlstring| null
dueDatedate-time
assignedToGetFileResponseAssignedDept
permissionsstring[]| null
associatedCrewMembersGetFileResponseAssociatedEntity[]| null
associatedDepartmentsGetFileResponseAssociatedEntity[]| null
associatedLocationsGetFileResponseAssociatedEntity[]| null
linksGetFileResponseFileLink[]| null
versionsGetFileResponseVersionSummary[]| null

GetFileResponseAssignedDept

FieldTypeDescription
iduuid
namestring| null

GetFileResponseAssociatedEntity

FieldTypeDescription
iduuid
entityIduuid
namestring| null
isReviewerboolean
permissionsstring[]| null
FieldTypeDescription
iduuid
namestring| null
permissionsstring[]| null

GetFileResponseVersionSummary

FieldTypeDescription
iduuid
tagstring| null
statusstring| null
commentsinteger
formatsstring[]| null